//
//  CustomStickerController.swift
//  flutter_plugin_android_lifecycle
//
//  Created by Danilo Pena on 28/05/20.
//

import UIKit
import PhotoEditorSDK

@available(iOS 9.0, *)
class CustomStickerController: StickerToolController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        menuViewController.hideMenu(animated: true)
        stickerSelectionController.stickers = createStickerSection(key: "stickers", index: 2)
        stickerSelectionController.collectionView.reloadData()        
    }
    
    override func viewWillAppear(_ animated: Bool) {
        self.stickerSelectionController.view.alpha = 0
        UIView.animate(withDuration: 1.5) {
            self.stickerSelectionController.stickerPreviewSize = CGSize(width: (UIScreen.main.bounds.width / 2) - 40, height: 100)
            self.stickerSelectionController.view.alpha = 1
        }
    }

    private func createStickerSection(key: String, index: Int) -> [Sticker] {
        var images: [Sticker] = []
        let defaults = UserDefaults.standard
        let logos = defaults.array(forKey: key)
        var cont = 0
        logos?.forEach { logo in
            if let logoURL = URL(string: logo as! String) {
                let logoSticker = Sticker(imageURL: logoURL, thumbnailURL: nil, identifier: "\(cont) \(index)")
                cont = cont+1
                images.append(logoSticker)
            }
        }
        return images
    }
}
