//
//  UIImage+Extension.swift
//  flutter_plugin_android_lifecycle
//
//  Created by Danilo Pena on 19/06/20.
//

import UIKit

extension UIImage
{
    // convenience function in UIImage extension to resize a given image
    func aspectFittedToHeight(_ newHeight: CGFloat) -> UIImage
    {
        let scale = newHeight / self.size.height
        let newWidth = self.size.width * scale
        UIGraphicsBeginImageContext(CGSize(width: newWidth, height: newHeight))
        self.draw(in: CGRect(x: 0, y: 0, width: newWidth, height: newHeight))
        let newImage = UIGraphicsGetImageFromCurrentImageContext()
        UIGraphicsEndImageContext()

        return newImage!
    }
}
